#ifndef __AUTOMUTEX_H__
#define __AUTOMUTEX_H__

////////////////////////////////////////////////////////////////////////////////////////////
// class AutoMutex
////////////////////////////////////////////////////////////////////////////////////////////
class AutoMutex {
private:
        ast_mutex_t& m_m;
public:
        AutoMutex( ast_mutex_t& m ) : m_m(m) {
                ast_mutex_lock(&m_m);
        }
        ~AutoMutex() {
                ast_mutex_unlock(&m_m);
        }
};

#endif // __AUTOMUTEX_H__
